PikaPika THE Rabbit
PikaPikaTHE Rabbit Version2.00E

Copyright(c) 1994, 1995 by Hiroma

Translated by Hitoshi Ozawa

 Thank you for down-loading PikaPika THE Rabbit.  PikaPika has been converted from VB to Visual C++.

There isn't too much difference in appearance, but it now uses less memory and runs faster.

  Hope you'll enjoy PikaPika as much as other software in THE Rabbit series.

Liability

Installation

Introduction

What does it do?

Properties

Friends with Icon Police

Concerning Icon Police

Concerning LHA.DLL

Copyright and Distribution

Support

Versions and Releases

Miscellaneous


Installation

Included Files

Be sure that following files exists in the directory where PIKA.LZH was decompressed.

PIKA200.EXE	...PikaPika THE Rabbit execution file

PIKA200.HLP	...PikaPika THE Rabbit help file

LHA.DLL	...LHA file decompression DLL (Project Rhizome)

README.TXT	...File you should have read (please read it if you haven't)

Installation

1. Copy PIKA200.EXE and PIKA200.HLP files to a directory.

2. Copy LHA.DLL to \WINDOWS\SYSTEM directory.

How to Start PikaPika

Run PIKA200.EXE from the File Manager or from the Program Manager.  It is recommended that it be entered in the StartUp group in the Program Manager so it will be executed every time Windows is started.


Introduction

What is PikaPika THE Rabbit good for?

Followings are some answers to this question.

1. To flash window frames

Even if you try to avoid looking at it, your eyes will automatically be glued to the active window with flashing a frame.  Even though, users often complain it bothers them too much.  (^_^;

2. Display window system information

You will be able to quickly know window, free memory, and free resource information.  Very Useful!

3. To keep a cute child rabbit in your Windows

A child rabbit will patiently stare at you from behind the active window.  It may not be too much ...

4. To decompress LZH format files

PikaPika is able to decompress LZH format files.

If you simply want to decompress files, it should be sufficient.

If you could think of any better answer, please send me a mail!


What does it do?

When PikaPika is executed, a parent and a child rabbit will appear.

1. Parent Rabbit

To open the PikaPika system information window, double-click the left mouse button on the parent rabbit.  System Information windows will be displayed with the following information:

1) Window Handle

Window handle of the currently active window.

2) Window Class Name

Windows class name of the currently active window.  By the way, PikaPika THE Rabbit's window class name is HIROMA_PIKAPIKA and that of the child rabbit is HIROMA_ChildUsaUsa.

3) Window Text

The text string displayed in the window's title.  Window Text can be changed from within an application so it is possible to display file name instead.

4) Free Memory Space

Unused main memory space.  This is the total memory including expended memory.

5) GDI and USER

Remaining system resource is displayed in percentage.  There are GDI and USER resources.  For further information, refer to the SDK manuals.

6) Exec File

Execution path and file name associated with the currently active window.

2. Child Rabbit

A child rabbit always hides behinds the active window.  If a different window becomes active, it will fly to it.

What is it actually doing?  It's just playing around!  It's not doing anything else.  However, if you poke it, it will be surprised.


Properties

To change properties associated with PikaPika, double-click the left mouse button on the parent rabbit and choose the Properties button.

Following settings can be set from the displayed PikaPika Properties dialog box.

1) Frame Flash Interval

Sets the window frame flash time interval in seconds.  It is necessary to check the [Flash] option to actually flash the frames.  This interval is also used as the timer at which the parent rabbit gathers system information.

2) Information on Icon

Select the information that is to displayed with the parent rabbit's icon.  If Free Resource is selected, less of GDI or USER resource will be displayed.

3) Child Rabbit Speed

Set the speed at which the child rabbit moves in number of dots.

Move fast

Check this option to make the child rabbit move faster.  Depending on the system, however, the screen may flicker.  If it does, uncheck this option.  It will slower the child rabbit speed by 1/3.

Do not overlap windows

Check this option to make the child rabbit avoid flying on top of other windows.

4) Time till child sleeps

Sets the time in seconds till the child rabbit sleeps after it attaches to a window.

5) Friends with Icon Police

Checking this option will make PikaPika be Icon Police's friend.  When it they are friends, PikaPika will appear in Icon Police's panel box.

6) Always on top

Checking this option will make the parent rabbit always appear on top of other windows.  However, the child rabbit will still not always be on top.


Friends with Icon Police

A child rabbit, which runs around the Desktop, is an icon.  Thus, if Icon Police is in the neighborhood, it might be arrested.  To prevent this from happening, it is necessary to set properties of Icon Police.

Please execute the following steps:

1) Set Icon Police not to arrest citizens when they overlap

2) Ask the mayor for a pardon

The above settings will make a child rabbit be friends with Icon Police.  If you still have problems, please send me a mail.


Concerning Icon Police

Icon Police is a shareware developed by Eguchi Touru, who has also developed Squeaky Mouse (WINSHARE LIB 6 SQUEAK.ZIP).  Icon Police arrests minimized icons and makes them align vertically at the upper right hand side of the Desktop.


Copyright and Distribution

Copyright

PikaPika the Rabbit is copyrighted by Hiroma.  No part of this program or data may be reproduced, in any form or by any means, without a written permission from Hiroma.

Distribution

This program can be distributed only in the original archived PIKA.LZH formatted file.  Do not change this file or any files within.  This file can be freely distributed.  If it is to be copied to another forum or to another distribution channel, please contact the developer to let us know exactly where it is to be copied.  We will need this information to maintain and upgrade PikaPika the Rabbit at all locations.

If the PIKA.LZH file is to be distributed for commercial or in any manner including exchange of object(s) not excluding money, permission from the developer is required.

If this program is to be mentioned in any article, please send an E-mail to one of the developers.


Support

Support

Support for PikaPika the Rabbit is provided by CompuServe E-mail.  If you have any question, opinion, suggestions, or any other comments, please send an E-mail to:

Hiroma	Nifty Serve:	SGU02214

Hitoshi Ozawa	CompuServe:	100220,3402

Afterthoughts

Hi, HIROMA here.  I was finally able to release Version 2.00 of PikaPika.  I want to take some space here to thank everyone who has sent in their comments and suggestions to make this possible.

In this revision, I rewrote the program in Visual C++.  What do you think about it?  Please send in your comments and suggestions.

This may not be too useful an application, but thanks for down-loading it, and I hope you'll continue to down-load my future programs as well.


Versions and Releases
Version and Releases

Version 2.00  December 15, 1994

-Rewrite the program in Visual C++

-Remove file compression

-Rewrite Help

-Able user to set time until the child rabbit falls asleep

-Support child rabbit fast movement mode

-Increase number of child rabbit movements patterns

-Allow Pika to be friends with Icon Police

-Write DLL for child rabbit

-Allow child rabbit to be control from other applications

Version 1.20  September 15, 1994

-Support LHA.DLL

-Change design of parent rabbit

-Rewrite Help

-Allow functions to be executed from Information box

-Minimize parent rabbit when Help is opened

Version 1.00A  August 31, 1994

-Remove text box used during debugging

Version 1.00  August 30,1994

-Initial release

Version 0.99  August 1, 1994

- Finish beta version


Miscellaneous

Screen Saver

I still haven't started on THE Rabbit Screen Saver M (Miracle), which I stated in THE Rabbit Screen Saver S (Super).  It's about time to start developing it.  I already have an idea, and I actually already developed it in Visual BASIC.  However, it's just too slow even on my 486DX2 -66MHz machine.  I was on a verge on giving it up, but with C, I may be able to develop something that I could release.

THE Rabbit Clock

I wanted to include a clock in THE Rabbit series, so I wrote this program using bitmap images I drew for THE Rabbit Screen Saver S.  It's one of my favorite program in the series.  If you haven't down-loaded it yet, please do it!  (location: WINFUN LIB 3 USCLK.LZH)

New Series

This year (1995), I planning on starting a new series, Sitorus and Mima.  Sitorus is a cute little girl and Mima is her little cat.  I already created a screen saver, but I want someone to evaluate it before I release it (Please contact me if you have any interest it evaluating it).

Not to worry THE Rabbit series fans, I will continue to add new software to THE Rabbit series as well.

Useful Applications

Excluding the screen saver, don't you think THE Rabbit series offer useful applications?  Recently, I'm beginning to want to make something more like Squeaky Mouse (WINSHARE LIB 6 SQUEAK.ZIP) that's more useful.


Well, actual being useful might depend on the user.


Well, Version 1.20 did support file compression but...

I didn't support it in this version.  Sorry.

If you have any suggestion, please send me a mail, I might be able to support it in the next version.


Previous versions were written in Visual Basic, but starting from this version, I wanted to show off a little bit and re-wrote the program in Visual C++.  Nevertheless, I didn't use MFC nor any C++ functions.  In the end, using C with SDK always comes out to be the best choice!  Nevertheless, I should learn MFC.  (Recently, I'm beginning like Visual Basic because it's very convenient.)


PikaPika THE Rabbit is the third software in THE Rabbit series.  There are also the following software in the series.  I'm sure you'll like them as much as PikaPika.

Screen Saver THE Rabbit Version1.10

  First in THE Rabbit series.

  Japanese version located in:

    NIFTY-Serve FWINF LIB#9

Screen Saver THE Rabbit R Version1.00

  Second in THE Rabbit series.

  Japanese version located in:

    NIFTY-Serve FWINF LIB#13

PikaPika THE Rabbit Version2.00E

  Third in THE Rabbit series.

  THIS software.

Screen Saver THE Rabbit S Version1.10

  Fourth in THE Rabbit series.

  Japanese version located at:

    NIFTY-Serve FWINF LIB#13

THE Rabbit Clock Version1.00E

  Fifth in THE Rabbit series.

  English version located at:

    CIS: WINFUN LIB 3  USCLK.LZH


It only seems faster.  The program actually is doing the same thing as when it was written in Visual Basic. (^_^;


 Something like this.


 Intently staring child rabbit.


Liability

The author and the developer of this software will not take any responsibilities for any damages that may occur with the use of this software.

  The files contained in PIKA.LZH file are distributed "as is" and without any expressed and implied warranties.  The user assumes the entire risk of  using the software.


LHA.DLL

LHA.DLL was developed by the Rhizome Project..  If you are interested in developing a program using LHA.DLL, refer to LHADLL.ZIP in WUGNET LIB 6.

If you wish to develop and distribute applications using LHA.DLL, please read the README.TXT file in the LHADLL.ZIP file.